diff --git a/src/LocOpe/LocOpe_SplitShape.cxx b/src/LocOpe/LocOpe_SplitShape.cxx
index 5749ed5..c03bc15 100644
--- a/src/LocOpe/LocOpe_SplitShape.cxx
+++ b/src/LocOpe/LocOpe_SplitShape.cxx
@@ -643,7 +643,7 @@ Standard_Boolean LocOpe_SplitShape::AddClosedWire(const TopoDS_Wire& W,
   //  GProp_GProps GP;
   //  BRepGProp::SurfaceProperties (newFace,GP);
   //  if (GP.Mass() < 0) {
-  BRepTopAdaptor_FClass2d classif(newFace, Precision::Confusion());
+  BRepTopAdaptor_FClass2d classif(newFace);
   if (classif.PerformInfinitePoint() == TopAbs_IN) {
     //le wire donne defini un trou
     aLocalFace = F.EmptyCopied();
@@ -1352,7 +1352,7 @@ static Standard_Boolean IsInside(const TopoDS_Face& F,
   //  GProp_GProps GP;
   //  BRepGProp::SurfaceProperties(newFace,GP);
   //  if (GP.Mass() < 0) {
-  BRepTopAdaptor_FClass2d classif(newFace,Precision::Confusion());
+  BRepTopAdaptor_FClass2d classif(newFace);
   Standard_Boolean Reversed = Standard_False;
   if (classif.PerformInfinitePoint() == TopAbs_IN) {
     //le wire donne defini un trou
@@ -1426,7 +1426,7 @@ static Standard_Boolean IsInside(const TopoDS_Face& F,
     gp_Pnt2d pt2d(C2d->Value(prm));
     //  BRepClass_FaceClassifier classif(F,pt2d,Precision::PConfusion());
     //  return (classif.State() != TopAbs_OUT);
-    BRepTopAdaptor_FClass2d classif(F,Precision::Confusion());
+    BRepTopAdaptor_FClass2d classif(F);
     TopAbs_State stat = classif.Perform(pt2d);
     //  return (classif.Perform(pt2d) != TopAbs_OUT);
     if(stat == TopAbs_OUT) return Standard_False;
diff --git a/src/LocOpe/LocOpe_WiresOnShape.cxx b/src/LocOpe/LocOpe_WiresOnShape.cxx
index e6ef814..8b136ba 100644
--- a/src/LocOpe/LocOpe_WiresOnShape.cxx
+++ b/src/LocOpe/LocOpe_WiresOnShape.cxx
@@ -1516,7 +1516,7 @@ Standard_Boolean LocOpe_WiresOnShape::Add(const TopTools_SequenceOfShape& theEdg
 
         if (aCheckStateTool.IsNull())
         {
-          aCheckStateTool = new BRepTopAdaptor_FClass2d(aCurF, Precision::Confusion());
+          aCheckStateTool = new BRepTopAdaptor_FClass2d(aCurF);
         }
         if (aCheckStateTool->Perform(gp_Pnt2d(aU, aV)) == TopAbs_IN)
         {
diff --git a/src/SWDRAW/SWDRAW_ShapeAnalysis.cxx b/src/SWDRAW/SWDRAW_ShapeAnalysis.cxx
index 078cee6..89a51b4 100644
--- a/src/SWDRAW/SWDRAW_ShapeAnalysis.cxx
+++ b/src/SWDRAW/SWDRAW_ShapeAnalysis.cxx
@@ -318,7 +318,6 @@ static Standard_Integer anaface
   }
   else { di<<"Analyse Wires, Ignore Faces\n"; }
 
-  const Standard_Real aTolF = BRep_Tool::Tolerance(Face);
   Standard_Boolean iasurf = !surface.IsNull();
 //:sw  if (!Face.IsNull()) STW.SetFace (Face);
 //:sw  else STW.SetPrecision (BRepBuilderAPI::Precision());
@@ -435,7 +434,7 @@ static Standard_Integer anaface
       if (G.Mass() > 0) di<<"GProps:Mass Out\n";
       else di<<"GProps:Mass In\n";
 ///  return (G.Mass() > 0);
-      BRepTopAdaptor_FClass2d fcl(Face, aTolF);
+      BRepTopAdaptor_FClass2d fcl(Face);
       if (fcl.PerformInfinitePoint () == TopAbs_OUT) di<<"Classifier Infinite : Out\n";
       else di<<"Classifier Infinite : In\n";
       gp_Pnt2d pcl;
diff --git a/src/SWDRAW/SWDRAW_ShapeFix.cxx b/src/SWDRAW/SWDRAW_ShapeFix.cxx
index 9ede795..4a966b6 100644
--- a/src/SWDRAW/SWDRAW_ShapeFix.cxx
+++ b/src/SWDRAW/SWDRAW_ShapeFix.cxx
@@ -748,7 +748,7 @@ static Standard_Integer checkfclass2d(Draw_Interpretor& di, Standard_Integer n,
   }
   TopoDS_Face aFace = TopoDS::Face(Sh1);
   gp_Pnt2d p2d(ucoord,vcoord);
-  BRepTopAdaptor_FClass2d f2d(aFace,Precision::Confusion());
+  BRepTopAdaptor_FClass2d f2d(aFace);
   TopAbs_State stat = f2d.Perform(p2d);
   if(stat == TopAbs_OUT)
     di<<"Point is OUT\n";
diff --git a/src/ShapeAnalysis/ShapeAnalysis.cxx b/src/ShapeAnalysis/ShapeAnalysis.cxx
index a4bef1e..343a06f 100644
--- a/src/ShapeAnalysis/ShapeAnalysis.cxx
+++ b/src/ShapeAnalysis/ShapeAnalysis.cxx
@@ -230,8 +230,7 @@ Standard_Boolean ShapeAnalysis::IsOuterBound(const TopoDS_Face& face)
     return (totcross >= 0);
   }
   else {
-    const Standard_Real aTol = BRep_Tool::Tolerance(F);
-    BRepTopAdaptor_FClass2d fcl(F, aTol);
+    BRepTopAdaptor_FClass2d fcl(F);
     Standard_Boolean rescl = (fcl.PerformInfinitePoint () == TopAbs_OUT);
     return rescl;
   }
diff --git a/src/ShapeFix/ShapeFix_ComposeShell.cxx b/src/ShapeFix/ShapeFix_ComposeShell.cxx
index e322048..1fd1266 100644
--- a/src/ShapeFix/ShapeFix_ComposeShell.cxx
+++ b/src/ShapeFix/ShapeFix_ComposeShell.cxx
@@ -2433,7 +2433,7 @@ void ShapeFix_ComposeShell::MakeFacesOnPatch (TopTools_SequenceOfShape &faces,
       TopoDS_Face fc;
       B.MakeFace ( fc, surf, myLoc, ::Precision::Confusion() );
       B.Add ( fc, awtmp );
-      BRepTopAdaptor_FClass2d clas ( fc, Precision::Confusion() );
+      BRepTopAdaptor_FClass2d clas(fc);
       TopAbs_State stPoint = clas.Perform (unp,Standard_False);
       if(stPoint == TopAbs_ON || stPoint == TopAbs_UNKNOWN) {
 
@@ -2486,7 +2486,7 @@ void ShapeFix_ComposeShell::MakeFacesOnPatch (TopTools_SequenceOfShape &faces,
     TopoDS_Face fc;
     B.MakeFace ( fc, surf, myLoc, ::Precision::Confusion() );
     B.Add ( fc, wire );
-    BRepTopAdaptor_FClass2d clas ( fc, Precision::Confusion() );
+    BRepTopAdaptor_FClass2d clas(fc);
     if ( clas.PerformInfinitePoint() == TopAbs_IN ) {
       reverse = Standard_True;
 #ifdef OCCT_DEBUG
diff --git a/src/ShapeFix/ShapeFix_Face.cxx b/src/ShapeFix/ShapeFix_Face.cxx
index 31020de..d8d9ac7 100644
--- a/src/ShapeFix/ShapeFix_Face.cxx
+++ b/src/ShapeFix/ShapeFix_Face.cxx
@@ -1196,7 +1196,7 @@ Standard_Boolean ShapeFix_Face::FixOrientation(TopTools_DataMapOfShapeListOfShap
       af.Orientation ( TopAbs_FORWARD );
       B.Add (af,aw);
       Standard_Boolean CheckShift = Standard_True;
-      BRepTopAdaptor_FClass2d clas (af, 0.0);
+      BRepTopAdaptor_FClass2d clas (af);
       TopAbs_State sta = TopAbs_OUT;
       TopAbs_State staout = clas.PerformInfinitePoint();
       TopTools_ListOfShape IntWires;
@@ -2434,12 +2434,12 @@ Standard_Boolean ShapeFix_Face::FixSplitFace(const TopTools_DataMapOfShapeListOf
         TopoDS_Face aFace = TopoDS::Face ( aShapeEmptyCopied);
         aFace.Orientation ( TopAbs_FORWARD );
         B.Add (aFace,liter.Value());
-        BRepTopAdaptor_FClass2d clas (aFace, 0.0);
+        BRepTopAdaptor_FClass2d clas (aFace);
         TopAbs_State staout = clas.PerformInfinitePoint();
         if (staout == TopAbs_IN) 
           B.Add(tmpFace,liter.Value());
         else
-          B.Add(tmpFace,liter.Value().Reversed());                
+          B.Add(tmpFace,liter.Value().Reversed());
         NbWiresNew++;
       }
       if(!myFwd) tmpFace.Orientation(TopAbs_REVERSED);
diff --git a/src/TNaming/TNaming.cxx b/src/TNaming/TNaming.cxx
index 5d5fd4a..e10cb3b 100644
--- a/src/TNaming/TNaming.cxx
+++ b/src/TNaming/TNaming.cxx
@@ -920,7 +920,6 @@ Standard_Boolean TNaming::OuterWire(const TopoDS_Face& theFace, TopoDS_Wire& the
   BRep_Builder aBB;
   BRepTopAdaptor_FClass2d aFC;
   Standard_Boolean bFlag(Standard_False);
-  Standard_Real aTolF = BRep_Tool::Tolerance(theFace);
 
   TopoDS_Iterator aIt(theFace);
   for (; aIt.More(); aIt.Next()) {
@@ -928,7 +927,7 @@ Standard_Boolean TNaming::OuterWire(const TopoDS_Face& theFace, TopoDS_Wire& the
     aFx = theFace;
     aFx.EmptyCopy();
     aBB.Add(aFx, aWx);
-    aFC.Init(aFx, aTolF);
+    aFC.Init(aFx);
     bFlag = aFC.IsHole();
     if (!bFlag) 
       break;
diff --git a/src/TopClass/TopClass_Classifier2d.gxx b/src/TopClass/TopClass_Classifier2d.gxx
index f690452..fab9520 100644
--- a/src/TopClass/TopClass_Classifier2d.gxx
+++ b/src/TopClass/TopClass_Classifier2d.gxx
@@ -82,12 +82,6 @@ void TopClass_Classifier2d::Compare(const TopClass_GeomEdge& theE,
   nbPoints = myIntersector.NbPoints();
   for (iPoint = 1; iPoint <= nbPoints;  iPoint++)  {
     const IntRes2d_IntersectionPoint& PInter = myIntersector.Point(iPoint);
-    // test for ON
-    if (PInter.TransitionOfFirst().PositionOnCurve() == IntRes2d_Head) {
-      myClosest = iPoint;
-      myState = TopAbs_ON;
-      return;
-    }
     Standard_Real paramfirst = PInter.ParamOnFirst();
     if (paramfirst <  dMin) {
       myClosest = iPoint;
@@ -99,14 +93,8 @@ void TopClass_Classifier2d::Compare(const TopClass_GeomEdge& theE,
   // for the segments we only test the first point
   nbSegments = myIntersector.NbSegments();
   for (iSegment = 1; iSegment <= nbSegments;  iSegment++)  {
-    const IntRes2d_IntersectionSegment& SegInter = 
-      myIntersector.Segment(iSegment);
+    const IntRes2d_IntersectionSegment& SegInter = myIntersector.Segment(iSegment);
     const IntRes2d_IntersectionPoint& PInter = SegInter.FirstPoint();
-    if (PInter.TransitionOfFirst().PositionOnCurve() == IntRes2d_Head) {
-      myClosest = nbPoints + iSegment+  iSegment - 1;
-      myState = TopAbs_ON;
-      return;
-    }
     Standard_Real paramfirst = PInter.ParamOnFirst();
     if (paramfirst <  dMin) {
       myClosest = nbPoints + iSegment+iSegment - 1;
@@ -118,9 +106,10 @@ void TopClass_Classifier2d::Compare(const TopClass_GeomEdge& theE,
   // if no point was found return
   if (myClosest == 0) return;
 
-  if ( ! myFirstCompare ) {
-    Standard_Boolean b = (dMin > myParam);
-    if (b) {
+  if (!myFirstCompare)
+  {
+    if (dMin > myParam)
+    {
       // dMin > myParam : le point le plus proche (dMin) trouve dans CETTE
       // intersection ligne,arete n'est pas le plus proche
       // de TOUS les points d'intersection avec les autres aretes (myParam).
@@ -131,19 +120,20 @@ void TopClass_Classifier2d::Compare(const TopClass_GeomEdge& theE,
   // process the closest point PClosest, found at dMin on line.
   myFirstCompare = Standard_False;
 
-  if(myParam > dMin) {  //-- lbr le 13 mai 96 
-    myFirstTrans = Standard_True; 
-  } 
-  
+  if (myParam > dMin)
+  {  //-- lbr le 13 mai 96 
+    myFirstTrans = Standard_True;
+  }
+
   myParam = dMin;
   const IntRes2d_Transition& T2 = PClosest->TransitionOfSecond();
-//  Modified by skv - Wed Jul 12 15:20:58 2006 OCC12627 Begin
-//   Standard_Boolean isHeadorEnd = (T2.PositionOnCurve() == IntRes2d_Head) ||
-//                                  (T2.PositionOnCurve() == IntRes2d_End);
+  //  Modified by skv - Wed Jul 12 15:20:58 2006 OCC12627 Begin
+  //   Standard_Boolean isHeadorEnd = (T2.PositionOnCurve() == IntRes2d_Head) ||
+  //                                  (T2.PositionOnCurve() == IntRes2d_End);
   myIsHeadOrEnd = (T2.PositionOnCurve() == IntRes2d_Head) ||
-                  (T2.PositionOnCurve() == IntRes2d_End);
-//  Modified by skv - Wed Jul 12 15:20:58 2006 OCC12627 End
-  
+    (T2.PositionOnCurve() == IntRes2d_End);
+  //  Modified by skv - Wed Jul 12 15:20:58 2006 OCC12627 End
+
   // transition on the segment
 
   TopAbs_Orientation SegTrans = TopAbs_FORWARD;
@@ -185,44 +175,48 @@ void TopClass_Classifier2d::Compare(const TopClass_GeomEdge& theE,
 
   // are we inside the Edge ?
   //  const IntRes2d_Transition& T2 = PClosest->TransitionOfSecond();
-  if ( ! myIsHeadOrEnd ) {
+  if (!myIsHeadOrEnd)
+  {
     // PClosest is inside the edge
-    switch (SegTrans) {
+    switch (SegTrans)
+    {
 
-    case TopAbs_FORWARD :
-    case TopAbs_EXTERNAL :
+    case TopAbs_FORWARD:
+    case TopAbs_EXTERNAL:
       myState = TopAbs_OUT;
       break;
 
-    case TopAbs_REVERSED :
-    case TopAbs_INTERNAL :
+    case TopAbs_REVERSED:
+    case TopAbs_INTERNAL:
       myState = TopAbs_IN;
       break;
     }
   }
-  else {
+  else
+  {
     // PClosest is Head or End of the edge : update the complex transition
-    gp_Dir2d Tang2d,Norm2d;
+    gp_Dir2d Tang2d, Norm2d;
     Standard_Real Curv;
     if(!GeomLib::LocalGeometry(theE.Get2DCurve().Curve(),
-                               PClosest->ParamOnSecond(),
+                                PClosest->ParamOnSecond(),
                                Tang2d, Norm2d, Curv))
     {
       return;
     }
 
-    gp_Dir Tang(Tang2d.X(),Tang2d.Y(),0.);
-    gp_Dir Norm(Norm2d.X(),Norm2d.Y(),0.);
-    if (myFirstTrans) {
-      gp_Dir D(myLin.Direction().X(),myLin.Direction().Y(),0.);
+    gp_Dir Tang(Tang2d.X(), Tang2d.Y(), 0.);
+    gp_Dir Norm(Norm2d.X(), Norm2d.Y(), 0.);
+    if (myFirstTrans)
+    {
+      gp_Dir D(myLin.Direction().X(), myLin.Direction().Y(), 0.);
       myTrans.Reset(D);
       myFirstTrans = Standard_False;
     }
-    
+
     TopAbs_Orientation Ort;
     if (T2.PositionOnCurve() == IntRes2d_Head) Ort = TopAbs_FORWARD;
     else                                       Ort = TopAbs_REVERSED;
-    myTrans.Compare(RealEpsilon(), Tang, Norm,  Curv, SegTrans, Ort);
+    myTrans.Compare(RealEpsilon(), Tang, Norm, Curv, SegTrans, Ort);
     myState = myTrans.StateBefore();
   }
 }
diff --git a/src/TopOpeBRep/TopOpeBRep_VPointInterClassifier.cxx b/src/TopOpeBRep/TopOpeBRep_VPointInterClassifier.cxx
index 087e8d5..f3361dd 100644
--- a/src/TopOpeBRep/TopOpeBRep_VPointInterClassifier.cxx
+++ b/src/TopOpeBRep/TopOpeBRep_VPointInterClassifier.cxx
@@ -109,7 +109,7 @@ TopAbs_State TopOpeBRep_VPointInterClassifier::VPointPosition
   // intersections est sur une frontiere de la face FF (ON)ou dans la face FF (IN)  
   Standard_Integer VPSI = VP.ShapeIndex();
   if (AssumeINON && FaceClassifyIndex == VPSI) {
-    mySlowFaceClassifier.Perform(FF, p2d, theTol3D);
+    mySlowFaceClassifier.Perform(FF, p2d);
     myState = mySlowFaceClassifier.State();
     if      (myState == TopAbs_ON) {
 //modified by NIZHNY-MKK  Mon Jun 19 11:45:36 2000.BEGIN
@@ -130,7 +130,7 @@ TopAbs_State TopOpeBRep_VPointInterClassifier::VPointPosition
 
   else if (!AssumeINON) {
     if (statefast == TopAbs_OUT || statefast == TopAbs_ON) {
-      mySlowFaceClassifier.Perform(FF, p2d, theTol3D);
+      mySlowFaceClassifier.Perform(FF, p2d);
       myState = mySlowFaceClassifier.State();
       if      (myState == TopAbs_ON) {
 //modified by NIZHNY-MKK  Mon Jun 19 11:45:36 2000.BEGIN
@@ -150,7 +150,7 @@ TopAbs_State TopOpeBRep_VPointInterClassifier::VPointPosition
     //modified by NIZNHY-PKV Mon Feb  5 19:04:01 2001 f
     if (statefast == TopAbs_ON || statefast == TopAbs_OUT) {
     //if (statefast == TopAbs_ON) {
-      mySlowFaceClassifier.Perform(FF, p2d, theTol3D);
+      mySlowFaceClassifier.Perform(FF, p2d);
       myState = mySlowFaceClassifier.State();
       
       if (myState == TopAbs_ON || myState == TopAbs_OUT) {
@@ -248,9 +248,7 @@ static TopAbs_State SlowClassifyOnBoundary(const gp_Pnt& thePointToClassify,
       if(!anEdgePCurve.IsNull()) {
 	gp_Pnt2d aPoint2dOnEdge = anEdgePCurve->Value(aParameterOnEdge);
 
-        // Must be 3D-tolerance. But we keep the current value.
-	Standard_Real aTol2d = thePoint2dToClassify.Distance(aPoint2dOnEdge) / 3;
-	theSlowClassifier.Perform(theFace, thePoint2dToClassify, aTol2d);
+	theSlowClassifier.Perform(theFace, thePoint2dToClassify);
 	if(theSlowClassifier.State() == TopAbs_IN)
 	  return TopAbs_IN;
 	else
diff --git a/src/TopOpeBRepBuild/TopOpeBRepBuild_Builder1.cxx b/src/TopOpeBRepBuild/TopOpeBRepBuild_Builder1.cxx
index 5b06dc9..5629113 100644
--- a/src/TopOpeBRepBuild/TopOpeBRepBuild_Builder1.cxx
+++ b/src/TopOpeBRepBuild/TopOpeBRepBuild_Builder1.cxx
@@ -1953,7 +1953,7 @@ static TopAbs_State ClassifyEdgeToFaceByOnePoint(const TopoDS_Edge& E,
 
   C2D -> D0(par, aP2d);
 
-  BRepTopAdaptor_FClass2d FC(F, Precision::Confusion());
+  BRepTopAdaptor_FClass2d FC(F);
   TopAbs_State aState = FC.Perform(aP2d);
 
   return aState;
diff --git a/src/TopOpeBRepBuild/TopOpeBRepBuild_CorrectFace2d.cxx b/src/TopOpeBRepBuild/TopOpeBRepBuild_CorrectFace2d.cxx
index 3b00d39..c2ba8c5 100644
--- a/src/TopOpeBRepBuild/TopOpeBRepBuild_CorrectFace2d.cxx
+++ b/src/TopOpeBRepBuild/TopOpeBRepBuild_CorrectFace2d.cxx
@@ -802,7 +802,7 @@ TopOpeBRepBuild_CorrectFace2d::TopOpeBRepBuild_CorrectFace2d()
     BB.MakeFace(newFace, Surf, Loc, myFaceTolerance);
     BB.Add(newFace, aWire);
     
-    BRepTopAdaptor_FClass2d aClass2d(newFace, myFaceTolerance);
+    BRepTopAdaptor_FClass2d aClass2d(newFace);
     TopAbs_State aState=aClass2d.PerformInfinitePoint();
     if (aState==TopAbs_OUT) {
       anOuterWire=aWire;
diff --git a/src/TopOpeBRepBuild/TopOpeBRepBuild_Tools.cxx b/src/TopOpeBRepBuild/TopOpeBRepBuild_Tools.cxx
index 5c463f4..22396ef 100644
--- a/src/TopOpeBRepBuild/TopOpeBRepBuild_Tools.cxx
+++ b/src/TopOpeBRepBuild/TopOpeBRepBuild_Tools.cxx
@@ -481,7 +481,7 @@ void TopOpeBRepBuild_Tools::GetNormalInNearestPoint(const TopoDS_Face& F,
 
   
   gp_Pnt2d aP2d(newU, newV);
-  BRepTopAdaptor_FClass2d FC(F, Precision::Confusion());
+  BRepTopAdaptor_FClass2d FC(F);
   TopAbs_State aState = FC.Perform(aP2d);
 
   //point out of face: try to go at another direction
diff --git a/src/TopOpeBRepBuild/TopOpeBRepBuild_WireEdgeClassifier.cxx b/src/TopOpeBRepBuild/TopOpeBRepBuild_WireEdgeClassifier.cxx
index e90a907..4ed0faa 100644
--- a/src/TopOpeBRepBuild/TopOpeBRepBuild_WireEdgeClassifier.cxx
+++ b/src/TopOpeBRepBuild/TopOpeBRepBuild_WireEdgeClassifier.cxx
@@ -303,8 +303,7 @@ TopAbs_State  TopOpeBRepBuild_WireEdgeClassifier::CompareShapes
 //      TopoDS_Face F1 = TopoDS::Face(ftmp.EmptyCopied());
       BB.Add(F1,TopoDS::Wire(B1));
 
-      const Standard_Real tolF1 = BRep_Tool::Tolerance(F1);
-      BRepClass_FaceClassifier Fclass(F1, p2d, tolF1);
+      BRepClass_FaceClassifier Fclass(F1, p2d);
       state = Fclass.State();
       return state;
     } // ex2	
diff --git a/src/TopOpeBRepBuild/TopOpeBRepBuild_ffsfs.cxx b/src/TopOpeBRepBuild/TopOpeBRepBuild_ffsfs.cxx
index 32e37d6..0d501bf 100644
--- a/src/TopOpeBRepBuild/TopOpeBRepBuild_ffsfs.cxx
+++ b/src/TopOpeBRepBuild/TopOpeBRepBuild_ffsfs.cxx
@@ -96,8 +96,7 @@ static Standard_Integer FUN_getAncestorFsp(TopOpeBRepBuild_Builder& B,TopOpeBRep
       if (!ok) return 0;
       Standard_Real tolf = BRep_Tool::Tolerance(f)*1.e1;
       if (dd > tolf) return 0;
-      Standard_Real  TolClass  = 1e-8;
-      BRepTopAdaptor_FClass2d FClass2d(f,TolClass);
+      BRepTopAdaptor_FClass2d FClass2d(f);
       st = FClass2d.Perform(p2d);
     }
     if (st == TopAbs_IN) {
diff --git a/src/TopOpeBRepTool/TopOpeBRepTool_CLASSI.cxx b/src/TopOpeBRepTool/TopOpeBRepTool_CLASSI.cxx
index fa5977d..a1ee560 100644
--- a/src/TopOpeBRepTool/TopOpeBRepTool_CLASSI.cxx
+++ b/src/TopOpeBRepTool/TopOpeBRepTool_CLASSI.cxx
@@ -257,7 +257,7 @@ Standard_Integer TopOpeBRepTool_CLASSI::Classip2d(const TopoDS_Shape& S1, const
   // recall : ffi1 and ffi2 are built on same face 
   // => ffi1(u1,v1) = ffi2(u1,v1)
   // ----------------------------
-  BRepClass_FaceClassifier class2(ffi2,p2d1,BRep_Tool::Tolerance(ffi2));
+  BRepClass_FaceClassifier class2(ffi2,p2d1);
   TopAbs_State sta12 = class2.State();
   
   // staffi12 : only if !bnd2dUNK and stabnd2d12!=DIFF
@@ -295,7 +295,7 @@ Standard_Integer TopOpeBRepTool_CLASSI::Classip2d(const TopoDS_Shape& S1, const
     gp_Pnt2d p2d2(u2,v2);
 
     // sta21 : 
-    BRepClass_FaceClassifier class1(ffi1,p2d2,BRep_Tool::Tolerance(ffi1));
+    BRepClass_FaceClassifier class1(ffi1,p2d2);
     TopAbs_State sta21 = class1.State();
 
     if (bnd2dUNK) {
diff --git a/src/TopOpeBRepTool/TopOpeBRepTool_ShapeClassifier.cxx b/src/TopOpeBRepTool/TopOpeBRepTool_ShapeClassifier.cxx
index 5a997af..32d6196 100644
--- a/src/TopOpeBRepTool/TopOpeBRepTool_ShapeClassifier.cxx
+++ b/src/TopOpeBRepTool/TopOpeBRepTool_ShapeClassifier.cxx
@@ -570,8 +570,7 @@ void TopOpeBRepTool_ShapeClassifier::StateP2DReference
       myP2Ddef = Standard_True;
       TopoDS_Face F = TopoDS::Face(myRef);
       F.Orientation(TopAbs_FORWARD);
-      Standard_Real  TolClass  = 1e-8;
-      BRepTopAdaptor_FClass2d FClass2d(F,TolClass);
+      BRepTopAdaptor_FClass2d FClass2d(F);
       myState = FClass2d.Perform(P2D);
     }
   }
diff --git a/src/TopOpeBRepTool/TopOpeBRepTool_face.cxx b/src/TopOpeBRepTool/TopOpeBRepTool_face.cxx
index cf6ac64..1f84da4 100644
--- a/src/TopOpeBRepTool/TopOpeBRepTool_face.cxx
+++ b/src/TopOpeBRepTool/TopOpeBRepTool_face.cxx
@@ -70,7 +70,7 @@ Standard_Boolean TopOpeBRepTool_face::Init(const TopoDS_Wire& W, const TopoDS_Fa
   B.NaturalRestriction(fres,Standard_True);
 
   // <myfinite> :
-  BRepTopAdaptor_FClass2d FClass(fres, gp::Resolution());
+  BRepTopAdaptor_FClass2d FClass(fres);
   Standard_Boolean infinite = ( FClass.PerformInfinitePoint() == TopAbs_IN);
   myfinite = !infinite;
 
diff --git a/tests/bugs/modalg_6/bug27341_206 b/tests/bugs/modalg_6/bug27341_206
index dbad2ca..97a27a5 100644
--- a/tests/bugs/modalg_6/bug27341_206
+++ b/tests/bugs/modalg_6/bug27341_206
@@ -10,6 +10,38 @@ pload QAcommands
 
 restore [locate_data_file bug27341_hlrsave.brep] a
 
+explode a e;
+settolerance a_1 0.0000021000339414;
+settolerance a_9 0.0292972692933250;
+settolerance a_10 0.0000002916965956;
+settolerance a_12 0.0000077920795432;
+settolerance a_13 0.0009028909492925;
+settolerance a_14 0.0000008274847338;
+settolerance a_17 0.0000008447770235;
+settolerance a_19 0.0000044295408259;
+settolerance a_20 0.0000100105285272;
+settolerance a_22 0.0000159439495211;
+settolerance a_24 0.0004647375083553;
+settolerance a_25 0.0001235473526579;
+settolerance a_36 0.0000162166464122;
+settolerance a_38 0.0000024439908281;
+settolerance a_40 0.0000011938708148;
+settolerance a_42 0.0000147730124361;
+settolerance a_47 0.0000043348203081;
+settolerance a_49 0.0000015226955713;
+settolerance a_53 0.0000023619760706;
+settolerance a_55 0.0000008330183006;
+settolerance a_57 0.0000020829809516;
+settolerance a_59 0.0000018887181754;
+settolerance a_68 0.0000041414226306;
+settolerance a_71 0.0000016407524197;
+settolerance a_74 0.0010850265544331;
+settolerance a_75 0.0011543720476056;
+settolerance a_76 0.0000994972083569;
+settolerance a_77 0.0000017519416749;
+settolerance a_78 0.0000801275736206;
+
+
 set viewname "left"
 
 smallview
diff --git a/tests/lowalgos/classifier/bug23849_2 b/tests/lowalgos/classifier/bug23849_2
index 504542b..a48b539 100644
--- a/tests/lowalgos/classifier/bug23849_2
+++ b/tests/lowalgos/classifier/bug23849_2
@@ -9,15 +9,24 @@ puts ""
 set BugNumber OCC23849
 
 restore [locate_data_file bug23849_segment_1.brep] b1
+btolx b1
+checkshape b1
+
+puts [tolerance b1]
+
 explode b1 f
+copy b1_1 result
 
-point p2D 4.1882396063720497 50.643343428894831
+point pp 4.1882396063720497 50.643343428894831
 
-set info [b2dclassify b1_1 p2D]
-set check [regexp "IN" $info]
+if { ![regexp {ON} [ b2dclassifx result pp] ] } {
+    puts "Error : Wrong result of 2d classifier algorithm"
+} else {
+    puts "OK : Good result of 2d classifier algorithm"
+}
 
-if { ${check} == 1 } {
-    puts "OK ${BugNumber}"
+if { ![regexp {ON} [ b2dclassify result pp] ] } {
+    puts "Error : Wrong result of 2d classifier algorithm"
 } else {
-    puts "Faulty ${BugNumber}"
+    puts "OK : Good result of 2d classifier algorithm"
 }
diff --git a/tests/lowalgos/classifier/bug29203_1 b/tests/lowalgos/classifier/bug29203_1
index fc68faa..7d88dda 100644
--- a/tests/lowalgos/classifier/bug29203_1
+++ b/tests/lowalgos/classifier/bug29203_1
@@ -3,7 +3,7 @@ puts "OCC29203"
 puts "========"
 puts ""
 #################################################
-# Different Point-Face-classification algorithms return different results
+# Ambiguous behavior of Point-Face-classification algorithms: shall it return ON-status?
 #################################################
 
 # There is a dangerous to return ON-status by the reason
diff --git a/tests/lowalgos/classifier/bug29203_2 b/tests/lowalgos/classifier/bug29203_2
index 103e98d..f622ba9 100644
--- a/tests/lowalgos/classifier/bug29203_2
+++ b/tests/lowalgos/classifier/bug29203_2
@@ -3,7 +3,7 @@ puts "OCC29203"
 puts "========"
 puts ""
 #################################################
-# Different Point-Face-classification algorithms return different results
+# Ambiguous behavior of Point-Face-classification algorithms: shall it return ON-status?
 #################################################
 
 # 3D-representation of the source point is in the 
@@ -14,6 +14,7 @@ puts ""
 # ON-status in these cases.
 
 restore [locate_data_file bug29203_toron.brep] result
+fixshape result result
 checkshape result
 
 point pp 1.6881493482012555 3.9044196877163997
diff --git a/tests/lowalgos/classifier/bug538 b/tests/lowalgos/classifier/bug538
index 313371a..4da9857 100644
--- a/tests/lowalgos/classifier/bug538
+++ b/tests/lowalgos/classifier/bug538
@@ -3,7 +3,11 @@ puts "OCC538"
 puts "================"
 puts ""
 
+# The point is in the corespond
+# edge with tolerance criterium.
+
 restore [locate_data_file OCC538.brep] result 
+btolx result
 checkshape result
 
 puts [tolerance result]
@@ -22,13 +26,13 @@ if { ![regexp {ON} [ b2dclassify result pp] ] } {
     puts "OK : Good result of 2d classifier algorithm"
 }
 
-if { ![regexp {IN} [ b2dclassifx result pp -t 1.0e-7] ] } {
+if { ![regexp {ON} [ b2dclassifx result pp -t 1.0e-7] ] } {
     puts "Error : Wrong result of 2d classifier algorithm"
 } else {
     puts "OK : Good result of 2d classifier algorithm"
 }
 
-if { ![regexp {IN} [ b2dclassify result pp -t 1.0e-7] ] } {
+if { ![regexp {ON} [ b2dclassify result pp -t 1.0e-7] ] } {
     puts "Error : Wrong result of 2d classifier algorithm"
 } else {
     puts "OK : Good result of 2d classifier algorithm"
-- 
1.9.5.msysgit.0

